Get company stats

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /admin/company/{companyId}/stats

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string(uuid) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • projectCount integer(int32)
    • userCount integer(int32)
    • lastLogin string(date-time)
    • loginCount integer(int64)
GET /admin/company/{companyId}/stats
curl \
 --request GET 'https://live.smartpmtech.com/admin/company/{companyId}/stats' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "projectCount": 42,
  "userCount": 42,
  "lastLogin": "2026-05-04T09:42:00Z",
  "loginCount": 42
}